Package com.independentsoft.office.spreadsheet

# Class SearchScope

java.lang.Object
com.independentsoft.office.spreadsheet.SearchScope

public final class SearchScope extends Object
Specifies which parts of a workbook are searched by the find and replace methods.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static int`
  `ALL`
  The whole workbook except the formulas.
  `static int`
  `CELLS`
  The text of the cells of all worksheets, including rich text.
  `static int`
  `COMMENTS`
  The comments of all worksheets.
  `static int`
  `FOOTERS`
  The footers of all sheets.
  `static int`
  `FORMULAS`
  The formulas of all cells.
  `static int`
  `HEADERS`
  The headers of all sheets.
  `static int`
  `HEADERS_AND_FOOTERS`
  The headers and the footers of all sheets.
  `static int`
  `SHAPES`
  The text of the shapes of all sheets.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CELLS

    public static final int CELLS
    The text of the cells of all worksheets, including rich text.
    See Also:
      Constant Field Values

  - ### COMMENTS

    public static final int COMMENTS
    The comments of all worksheets.
    See Also:
      Constant Field Values

  - ### HEADERS

    public static final int HEADERS
    The headers of all sheets.
    See Also:
      Constant Field Values

  - ### FOOTERS

    public static final int FOOTERS
    The footers of all sheets.
    See Also:
      Constant Field Values

  - ### SHAPES

    public static final int SHAPES
    The text of the shapes of all sheets.
    See Also:
      Constant Field Values

  - ### FORMULAS

    public static final int FORMULAS
    The formulas of all cells. Formulas are not searched by `ALL` because a replacement can make a formula invalid.
    See Also:
      Constant Field Values

  - ### HEADERS_AND_FOOTERS

    public static final int HEADERS_AND_FOOTERS
    The headers and the footers of all sheets.
    See Also:
      Constant Field Values

  - ### ALL

    public static final int ALL
    The whole workbook except the formulas.
    See Also:
      Constant Field Values